//go:build !ignore_autogenerated

/*
Copyright 2025 Orange.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by controller-gen. DO NOT EDIT.

package v1beta1

import (
	runtime "k8s.io/apimachinery/pkg/runtime"
)

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *BmhData) DeepCopyInto(out *BmhData) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ObjectMeta.DeepCopyInto(&out.ObjectMeta)
	in.Spec.DeepCopyInto(&out.Spec)
	out.Status = in.Status
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new BmhData.
func (in *BmhData) DeepCopy() *BmhData {
	if in == nil {
		return nil
	}
	out := new(BmhData)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *BmhData) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *BmhDataList) DeepCopyInto(out *BmhDataList) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ListMeta.DeepCopyInto(&out.ListMeta)
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]BmhData, len(*in))
		for i := range *in {
			(*in)[i].DeepCopyInto(&(*out)[i])
		}
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new BmhDataList.
func (in *BmhDataList) DeepCopy() *BmhDataList {
	if in == nil {
		return nil
	}
	out := new(BmhDataList)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *BmhDataList) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *BmhDataSpec) DeepCopyInto(out *BmhDataSpec) {
	*out = *in
	if in.IpAddressesFromIPPool != nil {
		in, out := &in.IpAddressesFromIPPool, &out.IpAddressesFromIPPool
		*out = make([]FromIPPool, len(*in))
		copy(*out, *in)
	}
	if in.PrefixesFromIPPool != nil {
		in, out := &in.PrefixesFromIPPool, &out.PrefixesFromIPPool
		*out = make([]FromIPPool, len(*in))
		copy(*out, *in)
	}
	if in.GatewaysFromIPPool != nil {
		in, out := &in.GatewaysFromIPPool, &out.GatewaysFromIPPool
		*out = make([]FromIPPool, len(*in))
		copy(*out, *in)
	}
	if in.DnsServersFromIPPool != nil {
		in, out := &in.DnsServersFromIPPool, &out.DnsServersFromIPPool
		*out = make([]FromIPPool, len(*in))
		copy(*out, *in)
	}
	if in.FromLabels != nil {
		in, out := &in.FromLabels, &out.FromLabels
		*out = make([]FromLabel, len(*in))
		copy(*out, *in)
	}
	if in.FromAnnotations != nil {
		in, out := &in.FromAnnotations, &out.FromAnnotations
		*out = make([]FromAnnotation, len(*in))
		copy(*out, *in)
	}
	if in.Strings != nil {
		in, out := &in.Strings, &out.Strings
		*out = make([]StringValue, len(*in))
		copy(*out, *in)
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new BmhDataSpec.
func (in *BmhDataSpec) DeepCopy() *BmhDataSpec {
	if in == nil {
		return nil
	}
	out := new(BmhDataSpec)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *BmhDataStatus) DeepCopyInto(out *BmhDataStatus) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new BmhDataStatus.
func (in *BmhDataStatus) DeepCopy() *BmhDataStatus {
	if in == nil {
		return nil
	}
	out := new(BmhDataStatus)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *FromAnnotation) DeepCopyInto(out *FromAnnotation) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new FromAnnotation.
func (in *FromAnnotation) DeepCopy() *FromAnnotation {
	if in == nil {
		return nil
	}
	out := new(FromAnnotation)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *FromIPPool) DeepCopyInto(out *FromIPPool) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new FromIPPool.
func (in *FromIPPool) DeepCopy() *FromIPPool {
	if in == nil {
		return nil
	}
	out := new(FromIPPool)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *FromLabel) DeepCopyInto(out *FromLabel) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new FromLabel.
func (in *FromLabel) DeepCopy() *FromLabel {
	if in == nil {
		return nil
	}
	out := new(FromLabel)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *StringValue) DeepCopyInto(out *StringValue) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new StringValue.
func (in *StringValue) DeepCopy() *StringValue {
	if in == nil {
		return nil
	}
	out := new(StringValue)
	in.DeepCopyInto(out)
	return out
}
